Summary:	Desktop backgrounds for NDE
Name:		nde-backgrounds 
Version:	1.0.0
Release:	5%{?dist}
License:	LGPLv2
Source0:	%{name}-%{version}.tar.gz
Provides:	custom-themes
BuildArch:  noarch



%description
NewStartOS-related desktop backgrounds



%prep
%autosetup



%build



%install
rm Makefile
rm installation_permission.c
mkdir -p %{buildroot}%{_datadir}/nde-background-properties/
cp -rf  * %{buildroot}%{_datadir}/

pushd %{buildroot}%{_datadir}/backgrounds-default/images;
ln -s ../../backgrounds/nde/default/standard/nde.png		default.png
ln -s ../../backgrounds/nde/default/normalish/nde.png		default-5_4.png
ln -s ../../backgrounds/nde/default/tv-wide/nde.png		default-16_9.png
ln -s ../../backgrounds/nde/default/wide/nde.png			default-16_10.png
cd ..
ln -s ../backgrounds/nde/default/tv-wide/nde.png		default.png
popd



%post
cp -rf  %{_datadir}/backgrounds-default/default.png %{_datadir}/backgrounds/
cp -rf  %{_datadir}/backgrounds-default/images/default* %{_datadir}/backgrounds/images/



%files
%defattr(-, root, root)
%dir %{_datadir}/backgrounds/nde/
%dir %{_datadir}/backgrounds-default/images/
%{_datadir}/backgrounds/nde/*
%{_datadir}/backgrounds-default/images/default*
%{_datadir}/backgrounds-default/default.png
%{_datadir}/backgrounds-default/desktop-backgrounds-default.xml



%changelog
* Thu Jan 25 2024 Zhao Zhen <jeremiazhao@tencent.com> - 1.0.0-5
- small fix

* Tue Jun 16 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-4
- 增加背景属性文件

* Tue May 19 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-2
- 更换默认壁纸

* Tue May 19 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-1
- 构建新的桌面背景包